Index dimension table
POSThttps://app.mitzu.io/api/v1/projects/:project_id/dimension-tables/:dimension_table_id/index
Triggers indexing of the selected dimension table
Request
Path Parameters
project_id stringrequired
The ID of the project
dimension_table_id stringrequired
The ID of the dimension table
Responses
- 200
- 401
- 404
- 405
- 429
OK
- application/json
- Schema
- Example (auto)
Schema
idstring
Unique ID of the task
statestring
Possible values: [queued, running, finished, cancelled]
{
"id": "string",
"state": "queued"
}
The API key header is either missing or an invalid API key is given
Not Found
- application/json
- Schema
- Example (auto)
Schema
messagestring
Example:
Project not found{
"message": "Project not found"
}
The requested HTTP method is not allowed.
Too many requests sent with the same API key. Up to 10 requests can be sent within 1 second.
Authorization: x-mitzu-api-key
name: x-mitzu-api-keytype: apiKeydescription: ## API Key You can generate a new API key on the Account Settings -> API keys page. in: header
- python
- curl
- http
- java
- go
- HTTP.CLIENT
- REQUESTS
import http.client
conn = http.client.HTTPSConnection("app.mitzu.io")
payload = ''
headers = {
'Accept': 'application/json',
'x-mitzu-api-key': '<x-mitzu-api-key>'
}
conn.request("POST", "/api/v1/projects/:project_id/dimension-tables/:dimension_table_id/index", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
ResponseClear